<?php
/*
Plugin Name: Delivery Droid
Plugin URI:  https://dispersion.es/shortcodes-reutilizables-shorty/
Description: Custom plugin for appending a shortcode to each post
Version:     20161218
Author:      Myddna
Author URI:  https://dispersion.es/
License:     GPL2
License URI: https://www.gnu.org/licenses/gpl-2.0.html
Text Domain: delivery-droid
Domain Path: /languages
*/

/**
 * This filter adds a shortcode after each post or page content (only in full page)
 * @param  string $content original post content
 * @return string          original post content followed by shortcode's content
 */
function delivery_droid_the_content_filter($content) {
	if(is_single()){
		$content .= do_shortcode('[dame_cafeina]', $content);
	}
	return $content;
}

add_filter( 'the_content', 'delivery_droid_the_content_filter' );